// Copyright 2018 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#include "components/autofill_assistant/browser/actions/reset_action.h"

#include <memory>
#include <utility>

#include "base/callback.h"
#include "components/autofill_assistant/browser/actions/action_delegate.h"

namespace autofill_assistant {

ResetAction::ResetAction(const ActionProto& proto) : Action(proto) {
  DCHECK(proto_.has_reset());
}

ResetAction::~ResetAction() {}

void ResetAction::InternalProcessAction(ActionDelegate* delegate,
                                        ProcessActionCallback callback) {
  delegate->Restart();
  UpdateProcessedAction(ACTION_APPLIED);
  std::move(callback).Run(std::move(processed_action_proto_));
}

}  // namespace autofill_assistant
